CKSUM(1)

NAME
cksum - Print CRC and size for each file

SYNOPSIS
cksum [-a|--algorithm] [--untagged] [--tag] [-l|--length] [--raw] [-c|--check] [-w|--warn] [--status] [--quiet] [--ignore-missing] [--strict] [--base64] [-z|--zero] [--debug] [-h|--help] [-V|--version] [file]

DESCRIPTION
Print CRC and size for each file

OPTIONS

-a, --algorithm <ALGORITHM>
    select the digest type to use. See DIGEST below

    Possible values:

    •   sysv

    •   bsd

    •   crc

    •   crc32b

    •   md5

    •   sha1

    •   sha2

    •   sha3

    •   blake2b

    •   sm3

    •   sha224

    •   sha256

    •   sha384

    •   sha512

    •   blake3

    •   shake128

    •   shake256

--untagged
    create a reversed style checksum, without digest type

--tag
    create a BSD style checksum (default)

-l, --length
    digest length in bits; must not exceed the max size and must be a multiple of 8 for blake2b; must be 224, 256, 384, or 512 for sha2 or sha3

--raw
    emit a raw binary digest, not hexadecimal

-c, --check
    read checksums from the FILEs and check them

-w, --warn
    warn about improperly formatted checksum lines

--status
    don't output anything, status code shows success

--quiet
    don't print OK for each successfully verified file

--ignore-missing
    don't fail or report status for missing files

--strict
    exit non-zero for improperly formatted checksum lines

--base64
    emit base64-encoded digests, not hexadecimal

-z, --zero
    end each output line with NUL, not newline, and disable file name escaping

--debug
    print CPU hardware capability detection info used by cksum

-h, --help
    Print help

-V, --version
    Print version

EXTRA
DIGEST determines the digest algorithm and default output format:

- sysv: (equivalent to sum -s) - bsd: (equivalent to sum -r) - crc: (equivalent to cksum) - crc32b: (only available through cksum) - md5: (equivalent to md5sum) - sha1: (equivalent to sha1sum) - sha2: (equivalent to sha{224,256,384,512}sum) - sha3: (only available through cksum) - blake2b: (equivalent to b2sum) - sm3: (only available through cksum)

VERSION
v(uutils coreutils) 0.10.0

EXAMPLES
Display a 32-bit checksum, size in bytes and filename:

cksum path/to/file

The examples are provided by the tldr-pages project <https://tldr.sh> under the CC BY 4.0 License. Please note that, as uutils is a work in progress, some examples might fail.